Bug 1262038 - [abrt] lyx: operator delete(void*)(): lyx killed by SIGABRT
[abrt] lyx: operator delete(void*)(): lyx killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lyx (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e8380e1b17c8d595c1887b5b74c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 12:52 EDT by José Matos
Modified: 2015-10-01 12:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: lyx-2.1.4-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 12:06:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.86 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: core_backtrace (16.00 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: dso_list (18.10 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: environ (1.67 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: maps (84.06 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: open_fds (801 bytes, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details
File: var_log_messages (470 bytes, text/plain)
2015-09-10 12:52 EDT, José Matos
no flags Details

  None (edit)
Description José Matos 2015-09-10 12:52:11 EDT
Description of problem:
Select some text and try to apply it a text style.

Version-Release number of selected component:
lyx-2.1.4-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/lyx
crash_function: operator delete(void*)
executable:     /usr/bin/lyx
global_pid:     7778
kernel:         4.2.0-1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #6 operator delete(void*) at ../../../../libstdc++-v3/libsupc++/del_op.cc:46
 #7 lyx::(anonymous namespace)::doFontSwitch(std::vector<lyx::html::FontTag, std::allocator<lyx::html::FontTag> > &, std::vector<lyx::html::EndFontTag, std::allocator<lyx::html::EndFontTag> > &, bool &, enum lyx::FontState, enum lyx::html::FontTypes) at /usr/include/c++/5.1.1/ext/new_allocator.h:110
 #15 lyx::Paragraph::simpleLyXHTMLOnePar[abi:cxx11](lyx::Buffer const&, lyx::XHTMLStream&, lyx::OutputParams const&, lyx::Font const&, long) const at Paragraph.cpp:2899
 #16 lyx::(anonymous namespace)::makeParagraphs(lyx::Buffer const&, lyx::XHTMLStream&, lyx::OutputParams const&, lyx::Text const&, lyx::RandomAccessList<lyx::Paragraph>::const_iterator const&, lyx::RandomAccessList<lyx::Paragraph>::const_iterator const&) at output_xhtml.cpp:898
 #17 lyx::xhtmlParagraphs(lyx::Text const&, lyx::Buffer const&, lyx::XHTMLStream&, lyx::OutputParams const&) at output_xhtml.cpp:1197
Comment 1 José Matos 2015-09-10 12:52:14 EDT
Created attachment 1072280 [details]
File: backtrace
Comment 2 José Matos 2015-09-10 12:52:15 EDT
Created attachment 1072281 [details]
File: cgroup
Comment 3 José Matos 2015-09-10 12:52:17 EDT
Created attachment 1072282 [details]
File: core_backtrace
Comment 4 José Matos 2015-09-10 12:52:19 EDT
Created attachment 1072283 [details]
File: dso_list
Comment 5 José Matos 2015-09-10 12:52:20 EDT
Created attachment 1072284 [details]
File: environ
Comment 6 José Matos 2015-09-10 12:52:21 EDT
Created attachment 1072285 [details]
File: limits
Comment 7 José Matos 2015-09-10 12:52:23 EDT
Created attachment 1072286 [details]
File: maps
Comment 8 José Matos 2015-09-10 12:52:24 EDT
Created attachment 1072287 [details]
File: mountinfo
Comment 9 José Matos 2015-09-10 12:52:26 EDT
Created attachment 1072288 [details]
File: namespaces
Comment 10 José Matos 2015-09-10 12:52:27 EDT
Created attachment 1072289 [details]
File: open_fds
Comment 11 José Matos 2015-09-10 12:52:28 EDT
Created attachment 1072290 [details]
File: proc_pid_status
Comment 12 José Matos 2015-09-10 12:52:30 EDT
Created attachment 1072291 [details]
File: var_log_messages
Comment 13 Fedora Update System 2015-09-14 04:54:34 EDT
lyx-2.1.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15794
Comment 14 Fedora Update System 2015-09-14 13:50:44 EDT
lyx-2.1.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update lyx'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15794
Comment 15 Fedora Update System 2015-10-01 12:06:02 EDT
lyx-2.1.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.